Page MenuHomePhabricator

Initialization: remove ObjectContainer from Common
ClosedPublic

Authored by compnerd on Apr 30 2019, 7:00 PM.

Details

Summary

This restructures the initialization path to move the ObjectContainer
initialization into the *full* initialization path. This is not needed
for the lldb-server initialization path. This helps strip off ~1MiB
from the binary.

Diff Detail

Repository
rLLDB LLDB

Event Timeline

compnerd created this revision.Apr 30 2019, 7:00 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 30 2019, 7:00 PM
Herald added subscribers: abidh, mgorny. · View Herald Transcript
xiaobai added inline comments.
source/API/CMakeLists.txt
99–100

These should get sucked into LLDB_ALL_PLUGINS right?

xiaobai added inline comments.May 1 2019, 1:27 PM
source/API/SystemInitializerFull.cpp
132–133

You need to include the headers for these classes

labath added a subscriber: labath.May 2 2019, 12:02 AM
labath added inline comments.
source/API/CMakeLists.txt
99–100

Yes, they will be.

source/API/SystemInitializerFull.cpp
132–133

And remove them from SystemInitializerCommon.h

compnerd updated this revision to Diff 197797.May 2 2019, 9:01 AM
compnerd marked 6 inline comments as done.

address feedback

source/API/SystemInitializerFull.cpp
132–133

They never were in SystemInitializerCommon.h

labath accepted this revision.May 2 2019, 11:02 AM
labath added inline comments.
source/API/SystemInitializerFull.cpp
132–133

they are in SystemInitializerCommon.cpp (sorry, I typed the file name by memory, didn't double check). Please remove the include from there, and this is good.

This revision is now accepted and ready to land.May 2 2019, 11:02 AM
compnerd closed this revision.May 2 2019, 11:09 AM

SVN r359810